package com.storlead.knowledge.enums;

import lombok.Getter;

/***
 * 嵌入模式枚举
 */
@Getter
public enum ModelEnum {

    /**
     * 文本嵌入
     */
    EMBEDDING(0, "text-embedding"),

    /**
     * 重排模型
     */
    RERANK(1, "rerank"),
    /**
     * 大语言模型
     */
    LLM(2, "llm"),
    /**
     * 文字转语音
     */
    TTS(3, "tts"),
    /**
     *  语音转文字
     */
    SPENCH2TEXT(4, "speech2text"),
    /**
     * 模型内容审核
     */
    MONDERATION(5, "moderation"),

    ;

    public Integer code;

    public String desc;

    ModelEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
